# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name            uddi4j
%define version         2.0.4
%define release         1jpp_1rh
%define section         free

# -----------------------------------------------------------------------------

Summary:        API to interact with a UDDI registry
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Group:          Text Processing/Markup/XML
License:        IBM Public License
URL:            http://oss.software.ibm.com/developerworks/opensource/uddi4j/
BuildArch:      noarch
Source0:        ftp://www-126.ibm.com/pub/uddi4j/uddi4j-src-2_0_4.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Vendor:         JPackage Project
#Distribution:   JPackage
Requires:       axis
BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:  java-devel
BuildRequires:  %{_bindir}/perl
BuildRequires:  ant
BuildRequires:  axis

%description
UDDI4J is a Java class library that provides an API to interact 
with a UDDI (Universal Description, Discovery and Integration) 
registry. The UDDI Project is a comprehensive, open industry 
initiative enabling businesses to (I) discover each other, and 
(II) define how they interact over the internet and share 
information in a global registry architecture. UDDI is the 
building block which will enable businesses to quickly, easily 
and dynamically find and transact with one another via their 
preferred applications.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

%build
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
export JAVA_HOME

export CLASSPATH=$(build-classpath \
axis/axis \
axis/jaxrpc \
axis/saaj \
javamail/mailapi \
)
ant -Dbuild.compiler=modern -Djavac.executable=`which javac` compile
ant -Dbuild.compiler=modern -Djavac.executable=`which javac` javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

for jar in %{name}.jar ; do
   vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
   install -m 644 build/lib/$jar $RPM_BUILD_ROOT%{_javadir}/$vjar
   pushd $RPM_BUILD_ROOT%{_javadir}
      ln -fs $vjar $jar
   popd
done

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Apr 25 2006 Fernando Nasser <fnasser@redhat.com> 0:2.0.4-1jpp
- First Red Hat build

* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> 0:2.0.4-1jpp
- Upgrade to 2.0.4

* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> 0:2.0.2-4jpp
- Use SOAP from axis instead of old Apache SOAP project

* Mon Apr 24 2006 Fernando Nasser <fnasser@redhat.com> 0:2.0.2-3jpp
- First JPP 1.7 build

* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.2-2jpp
- Build with ant-1.6.2

* Tue Aug 17 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.2-1jpp
- First JPackage release

